{$C+}
program optd;
uses mtx09;
var
  md: mtx;
  d: mtx;
  x1, xf, u: double;
  deb, fin, pas: double;
  npas, i: longint;
  r: mtx;
begin
  mrd(d);
  equ(md,paramstr(1));
  deb := elm(md,1,1);
  pas := elm(md,1,2);
  x1 := elm(d,1,1);
  xf := elm(d,lgn(d),1);
  while deb < x1 do deb := deb + pas;
  npas := trunc( (xf-deb)/pas );
  fin := deb + npas*pas;
  assert( fin < xf );
  zer(r,2,3);
  elm(r,1,1,x1);
  elm(r,1,2,xf);
  elm(r,1,3,double(npas));
  elm(r,2,1,deb);
  elm(r,2,2,pas);
  elm(r,2,3,fin);
  mwr(r);
  for i := 0 to npas do begin
    u := deb + i*pas;
    writeln(u:0:5)
  end
end.
